package com.xhkjedu.sapi.mapper.cloud;

import com.xhkjedu.base.TkMapper;
import com.xhkjedu.sapi.model.cloud.TCloudSyncDetail;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface CloudSyncDetailMapper extends TkMapper<TCloudSyncDetail> {
    //批量添加
    void batchSave(@Param("list") List<TCloudSyncDetail> details, @Param("csid") Integer csid, @Param("createid") Integer createid);

    //获取未执行完的同步任务详情列表
    List<TCloudSyncDetail> listByCsId(@Param("csid") Integer csid);

    //更新已同步数量
    void updateRealNum(@Param("detail") TCloudSyncDetail detail);

    //获取未执行完成的任务详情数量
    Integer countNoEndByCsId(@Param("csid") Integer csid);
}
